Functions
IT_Management
Peripheral Driver » LL Driver » UART » Functions

## Functions
__STATIC_INLINE void | ll_uart_enabled_it_ms (uart_regs_t *UARTx)
| Enable Modem Status Interrupt. More...
__STATIC_INLINE void | ll_uart_enable_it_rls (uart_regs_t *UARTx)
| Enable Receiver Line Status Interrupt. More...
__STATIC_INLINE void | ll_uart_enable_it_thre (uart_regs_t *UARTx)
| Enable Transmit Holding Register Empty Interrupt. More...
__STATIC_INLINE void | ll_uart_enable_it_rda (uart_regs_t *UARTx)
| Enable Received Data Available Interrupt and Character Timeout Interrupt. More...
__STATIC_INLINE void | ll_uart_disable_it_ms (uart_regs_t *UARTx)
| Disable Modem Status Interrupt. More...
__STATIC_INLINE void | ll_uart_disable_it_rls (uart_regs_t *UARTx)
| Disable Receiver Line Status Interrupt. More...
__STATIC_INLINE void | ll_uart_disable_it_thre (uart_regs_t *UARTx)
| Disable Transmit Holding Register Empty Interrupt. More...
__STATIC_INLINE void | ll_uart_disable_it_rda (uart_regs_t *UARTx)
| Disable Received Data Available Interrupt and Character Timeout Interrupt. More...
__STATIC_INLINE uint32_t | ll_uart_is_enabled_it_ms (uart_regs_t *UARTx)
| Check if the UART Modem Status Interrupt is enabled or disabled. More...
__STATIC_INLINE uint32_t | ll_uart_is_enabled_it_rls (uart_regs_t *UARTx)
| Check if the UART Receiver Line Status Interrupt is enabled or disabled. More...
__STATIC_INLINE uint32_t | ll_uart_is_enabled_it_thre (uart_regs_t *UARTx)
| Check if the UART Transmit Holding Register Empty Interrupt is enabled or disabled. More...
__STATIC_INLINE uint32_t | ll_uart_is_enabled_it_rda (uart_regs_t *UARTx)
| Check if the UART Received Data Available Interrupt and Character Timeout Interrupt is enabled or disabled. More...
__STATIC_INLINE void | ll_uart_enable_it (uart_regs_t *UARTx, uint32_t mask)
| Enable the specified UART Interrupt. More...
__STATIC_INLINE void | ll_uart_disable_it (uart_regs_t *UARTx, uint32_t mask)
| Disable the specified UART Interrupt. More...
__STATIC_INLINE uint32_t | ll_uart_is_enabled_it (uart_regs_t *UARTx, uint32_t mask)
| Check if the specified UART Interrupt is enabled or disabled. More...

## Detailed Description

## Function Documentation

## ◆ ll_uart_disable_it()

__STATIC_INLINE void ll_uart_disable_it | ( | uart_regs_t * | UARTx,
|  | uint32_t | mask
| ) |  |

Disable the specified UART Interrupt.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | IER | EDSSI | +———————-+———————————–+ \endrst IER | ERLS IER | PTIME IER | ETBEI IER | ERBFI

Parameters

  UARTx | UART instance
  mask | This parameter can be a combination of the following values: LL_UART_IER_MS LL_UART_IER_RLS LL_UART_IER_THRE LL_UART_IER_RDA

Return values

  None |

Definition at line 1295 of file gr55xx_ll_uart.h.

## ◆ ll_uart_disable_it_ms()

__STATIC_INLINE void ll_uart_disable_it_ms | ( | uart_regs_t * | UARTx | ) |

Disable Modem Status Interrupt.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | IER | EDSSI | +———————-+———————————–+ \endrst

Parameters

  UARTx | UART instance

Return values

  None |

Definition at line 1103 of file gr55xx_ll_uart.h.

## ◆ ll_uart_disable_it_rda()

__STATIC_INLINE void ll_uart_disable_it_rda | ( | uart_regs_t * | UARTx | ) |

Disable Received Data Available Interrupt and Character Timeout Interrupt.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | IER | ERBFI | +———————-+———————————–+ \endrst

Parameters

  UARTx | UART instance

Return values

  None |

Definition at line 1161 of file gr55xx_ll_uart.h.

## ◆ ll_uart_disable_it_rls()

__STATIC_INLINE void ll_uart_disable_it_rls | ( | uart_regs_t * | UARTx | ) |

Disable Receiver Line Status Interrupt.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | IER | RLS | +———————-+———————————–+ \endrst

Parameters

  UARTx | UART instance

Return values

  None |

Definition at line 1122 of file gr55xx_ll_uart.h.

## ◆ ll_uart_disable_it_thre()

__STATIC_INLINE void ll_uart_disable_it_thre | ( | uart_regs_t * | UARTx | ) |

Disable Transmit Holding Register Empty Interrupt.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | IER | PTIME | +———————-+———————————–+ \endrst IER | ETBEI

Parameters

  UARTx | UART instance

Return values

  None |

Definition at line 1142 of file gr55xx_ll_uart.h.

## ◆ ll_uart_enable_it()

__STATIC_INLINE void ll_uart_enable_it | ( | uart_regs_t * | UARTx,
|  | uint32_t | mask
| ) |  |

Enable the specified UART Interrupt.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | IER | EDSSI | +———————-+———————————–+ \endrst IER | ERLS IER | PTIME IER | ETBEI IER | ERBFI

Parameters

  UARTx | UART instance
  mask | This parameter can be a combination of the following values: LL_UART_IER_MS LL_UART_IER_RLS LL_UART_IER_THRE LL_UART_IER_RDA

Return values

  None |

Definition at line 1267 of file gr55xx_ll_uart.h.

## ◆ ll_uart_enable_it_rda()

__STATIC_INLINE void ll_uart_enable_it_rda | ( | uart_regs_t * | UARTx | ) |

Enable Received Data Available Interrupt and Character Timeout Interrupt.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | IER | ERBFI | +———————-+———————————–+ \endrst

Parameters

  UARTx | UART instance

Return values

  None |

Definition at line 1084 of file gr55xx_ll_uart.h.

## ◆ ll_uart_enable_it_rls()

__STATIC_INLINE void ll_uart_enable_it_rls | ( | uart_regs_t * | UARTx | ) |

Enable Receiver Line Status Interrupt.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | IER | RLS | +———————-+———————————–+ \endrst

Parameters

  UARTx | UART instance

Return values

  None |

Definition at line 1045 of file gr55xx_ll_uart.h.

## ◆ ll_uart_enable_it_thre()

__STATIC_INLINE void ll_uart_enable_it_thre | ( | uart_regs_t * | UARTx | ) |

Enable Transmit Holding Register Empty Interrupt.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | IER | PTIME | +———————-+———————————–+ \endrst IER | ETBEI

Parameters

  UARTx | UART instance

Return values

  None |

Definition at line 1065 of file gr55xx_ll_uart.h.

## ◆ ll_uart_enabled_it_ms()

__STATIC_INLINE void ll_uart_enabled_it_ms | ( | uart_regs_t * | UARTx | ) |

Enable Modem Status Interrupt.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | IER | EDSSI | +———————-+———————————–+ \endrst

Parameters

  UARTx | UART instance

Return values

  None |

Definition at line 1026 of file gr55xx_ll_uart.h.

## ◆ ll_uart_is_enabled_it()

__STATIC_INLINE uint32_t ll_uart_is_enabled_it | ( | uart_regs_t * | UARTx,
|  | uint32_t | mask
| ) |  |

Check if the specified UART Interrupt is enabled or disabled.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | IER | EDSSI | +———————-+———————————–+ \endrst IER | ERLS IER | PTIME IER | ETBEI IER | ERBFI

Parameters

  UARTx | UART instance
  mask | This parameter can be a combination of the following values: LL_UART_IER_MS LL_UART_IER_RLS LL_UART_IER_THRE LL_UART_IER_RDA

Return values

  State | of bit (1 or 0).

Definition at line 1323 of file gr55xx_ll_uart.h.

## ◆ ll_uart_is_enabled_it_ms()

__STATIC_INLINE uint32_t ll_uart_is_enabled_it_ms | ( | uart_regs_t * | UARTx | ) |

Check if the UART Modem Status Interrupt is enabled or disabled.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | IER | EDSSI | +———————-+———————————–+ \endrst

Parameters

  UARTx | UART instance

Return values

  State | of bit (1 or 0).

Definition at line 1180 of file gr55xx_ll_uart.h.

## ◆ ll_uart_is_enabled_it_rda()

__STATIC_INLINE uint32_t ll_uart_is_enabled_it_rda | ( | uart_regs_t * | UARTx | ) |

Check if the UART Received Data Available Interrupt and Character Timeout Interrupt is enabled or disabled.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | IER | ERBFI | +———————-+———————————–+ \endrst

Parameters

  UARTx | UART instance

Return values

  State | of bit (1 or 0).

Definition at line 1239 of file gr55xx_ll_uart.h.

## ◆ ll_uart_is_enabled_it_rls()

__STATIC_INLINE uint32_t ll_uart_is_enabled_it_rls | ( | uart_regs_t * | UARTx | ) |

Check if the UART Receiver Line Status Interrupt is enabled or disabled.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | IER | RLS | +———————-+———————————–+ \endrst

Parameters

  UARTx | UART instance

Return values

  State | of bit (1 or 0).

Definition at line 1199 of file gr55xx_ll_uart.h.

## ◆ ll_uart_is_enabled_it_thre()

__STATIC_INLINE uint32_t ll_uart_is_enabled_it_thre | ( | uart_regs_t * | UARTx | ) |

Check if the UART Transmit Holding Register Empty Interrupt is enabled or disabled.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | IER | PTIME | +———————-+———————————–+ \endrst IER | ETBEI

Parameters

  UARTx | UART instance

Return values

  State | of bit (1 or 0).

Definition at line 1219 of file gr55xx_ll_uart.h.